# Class WrapSquare

#### Hierarchy

- XmlComponent
  - WrapSquare

- Defined in file/drawing/text-wrap/wrap-square.ts:22

#####
Index

### Constructors

constructor

### Methods

addChildElement
prepForXml

## Constructors

### constructor

- new WrapSquare(textWrapping, margins?): WrapSquare

- #### Parameters

  - ##### textWrapping: ITextWrapping

  - ##### margins: IMargins = ...

  #### Returns WrapSquare

  Overrides XmlComponent.constructor

  - Defined in file/drawing/text-wrap/wrap-square.ts:23

## Methods

### addChildElement

- addChildElement(child): XmlComponent

- #### Parameters

  - ##### child: string | XmlComponent

  #### Returns XmlComponent

  Inherited from XmlComponent.addChildElement

  - Defined in file/xml-components/xml-component.ts:45

### prepForXml

- prepForXml(context): undefined | IXmlableObject

- #### Parameters

  - ##### context: IContext

  #### Returns undefined | IXmlableObject

  Inherited from XmlComponent.prepForXml

  - Defined in file/xml-components/xml-component.ts:20

Generated using TypeDoc